JAXB v2.2.10

## javax.xml.bind.annotation
Enum XmlAccessOrder

    java.lang.Object
      java.lang.Enum<XmlAccessOrder>
          javax.xml.bind.annotation.XmlAccessOrder

All Implemented Interfaces:
  Serializable, Comparable<XmlAccessOrder>

    public enum XmlAccessOrder

extends Enum<XmlAccessOrder>

Used by XmlAccessorOrder to control the ordering of properties and fields in a JAXB bound class.

Since:
  JAXB2.0
Author:
  Sekhar Vajjhala, Sun Microsystems, Inc.
See Also:
  `XmlAccessorOrder`

Enum Constant Summary
`ALPHABETICAL` The ordering of fields and properties in a class is in alphabetical order as determined by the method java.lang.String.compareTo(String anotherString).
`UNDEFINED` The ordering of fields and properties in a class is undefined.

Method Summary
`static XmlAccessOrder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XmlAccessOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNDEFINED

    public static final XmlAccessOrder UNDEFINED

  The ordering of fields and properties in a class is undefined.

### ALPHABETICAL

    public static final XmlAccessOrder ALPHABETICAL

  The ordering of fields and properties in a class is in alphabetical order as determined by the method java.lang.String.compareTo(String anotherString).

Method Detail

### values

    public static XmlAccessOrder[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XmlAccessOrder c : XmlAccessOrder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XmlAccessOrder valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

JAXB v2.2.10

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle